%define pkg_name        DBIx-Log4perl
%define pkg_version     0.09
%define rpm_pkg_version 0.09
%define rpm_pkg_release 1.n0i.3

Summary:       An extension to log all DBI SQL activity
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MJ/MJEVANS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(DBI) >= 1.50
BuildRequires: perl(Log::Log4perl) >= 1.04
BuildRequires: perl(Test::More) >= 0.62
%endif

Requires:      perl(DBI) >= 1.5
Requires:      perl(Log::Log4perl) >= 1.04


%description
DBIx::Log4perl is a wrapper over DBI which adds logging of your DBI
activity via a Log::Log4perl handle.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes example.conf README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.09-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.09

* Wed Jun 28 2006 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.2
- version 0.05

* Wed May 24 2006 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- version 0.04
